RedHat C2Net Stronghold Web服务器跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1117613 漏洞类型 跨站脚本
发布时间 2009-04-20 更新时间 2009-04-21
CVE编号 CVE-2009-1349 CNNVD-ID CNNVD-200904-404
漏洞平台 Linux CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/32929
https://cxsecurity.com/issue/WLB-2009040214
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200904-404
|漏洞详情
Stronghold是RedHat公司出品的基于Apache的安全Web服务器。Stronghold没有正确地过滤用户所提交的输入,以有效的HTML和Javascript回显URL中所请求的页面,这可能导致跨站脚本攻击。
|漏洞EXP
source: http://www.securityfocus.com/bid/34606/info

Red Hat Stronghold Web Server is prone to a cross-site scripting vulnerability because it fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site and to steal cookie-based authentication credentials.

Stronghold 2.3 is vulnerable; other versions may also be affected.

http://www.example.com/<script>alert("lol");</script> http://www.example.com/<script>window.location="http://www.google.com"</script> http://www.example.com/<body bgcolor="black"><font color="green">
|参考资料

来源:BID
名称:34606
链接:http://www.securityfocus.com/bid/34606
来源:BUGTRAQ
名称:20090418Cross-siteScriptingvulnerabilityinStronghold/2.3Apache/1.2.6C2NetUS/2007
链接:http://www.securityfocus.com/archive/1/archive/1/502799/100/0/threaded